Debian Bug report logs - #343680
Does not correctly unzip links; previous version worked fine

version graph

Package: unzip; Maintainer for unzip is Santiago Vila <sanvila@debian.org>; Source for unzip is src:unzip.

Reported by: "Carl W. Hoffman" <cwhtemp1@basistech.com>

Date: Sat, 17 Dec 2005 05:18:02 UTC

Severity: important

Found in version unzip/5.52-1sarge2

Fixed in version unzip/5.52-6

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#343680; Package unzip. Full text and rfc822 format available.

Acknowledgement sent to "Carl W. Hoffman" <cwhtemp1@basistech.com>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Carl W. Hoffman" <cwhtemp1@basistech.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Does not correctly unzip links; previous version worked fine
Date: Sat, 17 Dec 2005 00:07:56 -0500
Package: unzip
Version: 5.52-1sarge2
Severity: important


Unzipping a zipfile containing links which link to files later in the zipfile now fails.
It worked before the most recent release of unzip.

If you type "unzip" with no arguments, the -bad- version will print:

  UnZip 5.52 of 28 February 2005, by Debian. Original by Info-ZIP.

However, the -good- version will print:

  UnZip 5.52 of 28 February 2005, by Info-ZIP.  Maintained by C. Spieler.  Send
  bug reports using http://www.info-zip.org/zip-bug.html; see README for details.

The -good- version prints "finishing deferred symbolic links" when unzipping a zipfile
which contains symbolic links.  The -bad- version does not do this.


-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.4.27-2-386
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages unzip depends on:
ii  libc6                       2.3.2.ds1-22 GNU C Library: Shared libraries an

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#343680; Package unzip. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #10 received at 343680@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: "Carl W. Hoffman" <cwhtemp1@basistech.com>, <343680@bugs.debian.org>
Subject: Re: Bug#343680: Does not correctly unzip links; previous version worked fine
Date: Mon, 19 Dec 2005 00:37:32 +0100 (CET)
On Sat, 17 Dec 2005, Carl W. Hoffman wrote:

> Package: unzip
> Version: 5.52-1sarge2
> Severity: important
>
>
> Unzipping a zipfile containing links which link to files later in the zipfile now fails.
> It worked before the most recent release of unzip.
>
> If you type "unzip" with no arguments, the -bad- version will print:
>
>   UnZip 5.52 of 28 February 2005, by Debian. Original by Info-ZIP.
>
> However, the -good- version will print:
>
>   UnZip 5.52 of 28 February 2005, by Info-ZIP.  Maintained by C. Spieler.  Send
>   bug reports using http://www.info-zip.org/zip-bug.html; see README for details.
>
> The -good- version prints "finishing deferred symbolic links" when unzipping a zipfile
> which contains symbolic links.  The -bad- version does not do this.

Argh! I surely introduced this bug while fixing CAN-2005-2475.
The version currently in stable (and also testing and unstable)
is supposed to contain a fix for CAN-2005-2475, backported from the
upcoming unzip-5.53. If the backporting is correct, it would mean
the prerelease of 5.53 is messed up. I'll contact the authors.

Thanks a lot for reporting this and sorry for the inconvenience.




Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#343680; Package unzip. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #15 received at 343680@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: "Carl W. Hoffman" <cwhtemp1@basistech.com>, 343680@bugs.debian.org
Subject: Re: #343680: Does not correctly unzip links; previous version worked fine
Date: Tue, 20 Dec 2005 18:40:28 +0100 (CET)
Ok, I have a fix for this bug, which I will upload in a few days at most.

If you see a message closing the bug, don't panic. I'll continue
to work on a fix for stable.



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Carl W. Hoffman" <cwhtemp1@basistech.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 343680-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 343680-close@bugs.debian.org
Subject: Bug#343680: fixed in unzip 5.52-6
Date: Tue, 20 Dec 2005 10:32:08 -0800
Source: unzip
Source-Version: 5.52-6

We believe that the bug you reported is fixed in the latest version of
unzip, which is due to be installed in the Debian FTP archive:

unzip_5.52-6.diff.gz
  to pool/main/u/unzip/unzip_5.52-6.diff.gz
unzip_5.52-6.dsc
  to pool/main/u/unzip/unzip_5.52-6.dsc
unzip_5.52-6_powerpc.deb
  to pool/main/u/unzip/unzip_5.52-6_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 343680@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated unzip package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 20 Dec 2005 19:18:32 +0100
Source: unzip
Binary: unzip
Architecture: source powerpc
Version: 5.52-6
Distribution: unstable
Urgency: medium
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 unzip      - De-archiver for .zip files
Closes: 343680
Changes: 
 unzip (5.52-6) unstable; urgency=medium
 .
   * Symlinks should work again (Closes: #343680). Fix provided by
     Christian Spieler. Thanks to Carl W. Hoffman for the report.
Files: 
 bb8316af73744e6806f0b5bc63dfe855 517 utils optional unzip_5.52-6.dsc
 5cbd1c8d0316f72a3fa1e6c59bea5d47 10180 utils optional unzip_5.52-6.diff.gz
 c9636e7795a9ee55678be9484b30cbcd 162252 utils optional unzip_5.52-6_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDqEwNd9Uuvj7yPNYRAmr2AKDS2eWWUaJqsnmbQVQoxdr/rhYUWgCdHQQ0
01HLTlqdBaEq0HdYe6usQ9g=
=8SPq
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 18:00:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:36:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.